Bug 830445 - dvb-ttpci: A frontend driver was not found for device [1131:7146] subsystem [13c2:0003]
dvb-ttpci: A frontend driver was not found for device [1131:7146] subsystem [...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Linda Wang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 13:33 EDT by MartinKG
Modified: 2013-07-31 23:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:25:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg_f17 (54.33 KB, text/plain)
2012-06-09 13:39 EDT, MartinKG
no flags Details
lsmod_dvb_f17 (332 bytes, text/plain)
2012-06-09 13:40 EDT, MartinKG
no flags Details
dmesg_f16 (60.48 KB, text/plain)
2012-06-09 13:41 EDT, MartinKG
no flags Details
lsmod_dvb_f16 (350 bytes, text/plain)
2012-06-09 13:41 EDT, MartinKG
no flags Details

  None (edit)
Description MartinKG 2012-06-09 13:33:17 EDT
Description of problem:
after updating my fedora 16 to fedora 17, DVB-S doesn't longer working.

Version-Release number of selected component (if applicable):
Linux fc17 3.4.0-1.fc17.x86_64 #1 SMP Sun Jun 3 06:35:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

Steps to Reproduce:
1. Update from Fedora 16 to Fedora 17 or install a new f17
2. Boot and copy firmware to /lib/firmware/dvb-ttpci-01.fw
3. Reboot
  
Actual results:
dmesg:
dvb-ttpci: A frontend driver was not found for device [1131:7146] subsystem [13c2:0003]

Expected results:
dmesg:
DVB: registering adapter 0 frontend 0 (ST STV0299 DVB-S)...

Additional info:

lspci -x -d 1131:7146
01:01.0 Multimedia controller: Philips Semiconductors SAA7146 (rev 01)
00: 31 11 46 71 02 00 80 02 01 00 80 04 00 40 00 00
10: 00 fc 6f fc 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 c2 13 03 00
30: 00 00 00 00 00 00 00 00 00 00 00 00 05 01 0f 26

udev-182-3.fc17.x86_64
libgudev1-182-3.fc17.x86_64
libudev-182-3.fc17.x86_64

kernel-devel-3.4.0-1.fc17.x86_64

Workaround:

# rmmod dvb_ttpci stv0299 dvb_core
# modprobe dvb-ttpci
Comment 1 MartinKG 2012-06-09 13:39:46 EDT
Created attachment 590634 [details]
dmesg_f17
Comment 2 MartinKG 2012-06-09 13:40:32 EDT
Created attachment 590635 [details]
lsmod_dvb_f17
Comment 3 MartinKG 2012-06-09 13:41:00 EDT
Created attachment 590636 [details]
dmesg_f16
Comment 4 MartinKG 2012-06-09 13:41:29 EDT
Created attachment 590637 [details]
lsmod_dvb_f16
Comment 5 MartinKG 2012-06-12 14:52:00 EDT
updated to kernel 3.4.2-1.fc17.x86_64, but makes no difference.
Comment 6 Thomas Bartschies 2012-08-08 15:22:36 EDT
Same for me but with the newer DVB-S2 kernel module saa716x_ff.
This happens since the upgrade to f17. Even with the 3.3.1-2.fc16.i686
kernel I've used previously successfully with f16.

Right now I'm using kernel 3.5.0-2.fc17.i686.

Workaround:
blacklisting the saa716x_ff.ko module
loading it later by modprobe

Without the workaround attaching to the frontend fails.

This seems to be a problem with either hotplugging, udev or systemd to me.
Comment 7 Mauro Carvalho Chehab 2012-08-10 14:41:59 EDT
(In reply to comment #6)
> Same for me but with the newer DVB-S2 kernel module saa716x_ff.

Hmm... saa716x_ff doesn't seem to be part of the Fedora kernel.

> This happens since the upgrade to f17. Even with the 3.3.1-2.fc16.i686
> kernel I've used previously successfully with f16.
> 
> Right now I'm using kernel 3.5.0-2.fc17.i686.
> 
> Workaround:
> blacklisting the saa716x_ff.ko module
> loading it later by modprobe
> 
> Without the workaround attaching to the frontend fails.
> 
> This seems to be a problem with either hotplugging, udev or systemd to me.
Comment 8 Mauro Carvalho Chehab 2012-08-10 15:16:54 EDT
That's weird:

   [   38.245650] DVB: Unable to find symbol ves1x93_attach()
   [   38.245677] DVB: Unable to find symbol stv0299_attach()
   [   38.245699] DVB: Unable to find symbol tda8083_attach()
   [   38.245720] DVB: Unable to find symbol ves1820_attach()

Those mean that modprobe didn't find the above frontend modules. At 3.5.0-2-fc17, they seem to be there:

/lib/modules/3.5.0-2.fc17.x86_64/kernel/drivers/media/dvb/frontends/ves1x93.ko
/lib/modules/3.5.0-2.fc17.x86_64/kernel/drivers/media/dvb/frontends/stv0299.ko
/lib/modules/3.5.0-2.fc17.x86_64/kernel/drivers/media/dvb/frontends/tda8083.ko
/lib/modules/3.5.0-2.fc17.x86_64/kernel/drivers/media/dvb/frontends/ves1820.ko

Maybe the kernel post-install script failed to call "depmod -a"?
Comment 9 Thomas Bartschies 2012-08-11 04:16:22 EDT
Sorry. The saa716x_ff module currently isn't part of the fedora kernel. Nevertheless it shows the same behaviour as the other card drivers when attaching the frontend.

Here's a link to a thread where someone has nearly identical problems with another card. Drivers for this card are actually included in the F17 Kernel.

http://forums.fedoraforum.org/showthread.php?t=280946

Unfortunately the proposed workaround with modprobe softdeps hasn't worked for me. The error messages about missing symbols went away, but the driver doesn't attach correctly to the frontend either.

I suspect that the whole thing has something to do with the following change to the frontend build. By then no one could remember for what the frontend customizing in the kernel was good for. Now I can think of a reason.

https://bugzilla.redhat.com/show_bug.cgi?id=825203
Comment 10 Fedora End Of Life 2013-07-03 20:17:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 23:25:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.